For the complete documentation index, see llms.txt. This page is also available as Markdown.

My orders

Buscar configuração de tela nativa "Meus Pedidos" (Parceiro)

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Respostas
200

OK

application/json
banner_idstringOpcional
order_table_idstringOpcional
order_table_database_idstringOpcional
native_rulestringOpcional
get/portals/partners/my-orders
GET /api/b2b/portals/partners/my-orders HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "banner_id": "text",
  "order_table_id": "text",
  "order_table_database_id": "text",
  "native_rule": "text",
  "details": {
    "order_delivery_title": "text",
    "order_information_title": "text",
    "order_payment_title": "text",
    "order_summary_title": "text",
    "order_item_table_id": "text",
    "order_item_table_database_id": "text",
    "order_payment_table_id": "text",
    "order_payment_table_database_id": "text",
    "order_resume_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "table_field_id": "text",
        "field_title": "text",
        "field_icon": "CHECKLIST",
        "field_mask": "DATE"
      }
    ],
    "order_information_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "table_field_id": "text",
        "field_title": "text",
        "field_icon": "CHECKLIST",
        "field_mask": "DATE"
      }
    ],
    "order_delivery_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "table_field_id": "text",
        "field_title": "text",
        "field_icon": "CHECKLIST",
        "field_mask": "DATE"
      }
    ],
    "order_payment_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "table_field_id": "text",
        "field_title": "text",
        "field_icon": "CHECKLIST",
        "field_mask": "DATE"
      }
    ]
  }
}

Atualizar configuração de tela nativa "Meus Pedidos" (Parceiro)

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
banner_idstringOpcional
order_table_idstringOpcional
Respostas
200

OK

application/json
banner_idstringOpcional
order_table_idstringOpcional
order_table_database_idstringOpcional
native_rulestringOpcional
put/portals/partners/my-orders
PUT /api/b2b/portals/partners/my-orders HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 906

{
  "banner_id": "text",
  "order_table_id": "text",
  "details": {
    "order_information_title": "text",
    "order_delivery_title": "text",
    "order_payment_title": "text",
    "order_summary_title": "text",
    "order_item_table_id": "text",
    "order_payment_table_id": "text",
    "order_resume_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "table_field_id": "text",
        "field_title": "text",
        "field_icon": "CHECKLIST",
        "field_mask": "DATE"
      }
    ],
    "order_information_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "table_field_id": "text",
        "field_title": "text",
        "field_icon": "CHECKLIST",
        "field_mask": "DATE"
      }
    ],
    "order_delivery_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "table_field_id": "text",
        "field_title": "text",
        "field_icon": "CHECKLIST",
        "field_mask": "DATE"
      }
    ],
    "order_payment_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "table_field_id": "text",
        "field_title": "text",
        "field_icon": "CHECKLIST",
        "field_mask": "DATE"
      }
    ]
  }
}
{
  "banner_id": "text",
  "order_table_id": "text",
  "order_table_database_id": "text",
  "native_rule": "text",
  "details": {
    "order_delivery_title": "text",
    "order_information_title": "text",
    "order_payment_title": "text",
    "order_summary_title": "text",
    "order_item_table_id": "text",
    "order_item_table_database_id": "text",
    "order_payment_table_id": "text",
    "order_payment_table_database_id": "text",
    "order_resume_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "table_field_id": "text",
        "field_title": "text",
        "field_icon": "CHECKLIST",
        "field_mask": "DATE"
      }
    ],
    "order_information_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "table_field_id": "text",
        "field_title": "text",
        "field_icon": "CHECKLIST",
        "field_mask": "DATE"
      }
    ],
    "order_delivery_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "table_field_id": "text",
        "field_title": "text",
        "field_icon": "CHECKLIST",
        "field_mask": "DATE"
      }
    ],
    "order_payment_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "table_field_id": "text",
        "field_title": "text",
        "field_icon": "CHECKLIST",
        "field_mask": "DATE"
      }
    ]
  }
}